## org.eclipse.datatools.enablement.sybase.ase.models.sybaseasesqlmodel.util
Class SybaseasesqlmodelSwitch

    java.lang.Object
      org.eclipse.datatools.enablement.sybase.ase.models.sybaseasesqlmodel.util.SybaseasesqlmodelSwitch

    public class SybaseasesqlmodelSwitch

extends java.lang.Object

The Switch for the model's inheritance hierarchy. It supports the call `doSwitch(object)` to invoke the `caseXXX` method for each class of the model, starting with the actual class of the object and proceeding up the inheritance hierarchy until a non-null result is returned, which is the result of the switch.

See Also:
  `SybaseasesqlmodelPackage`

Constructor Summary
`SybaseasesqlmodelSwitch()` Creates an instance of the switch.

Method Summary
`java.lang.Object` `caseAuthorizationIdentifier(AuthorizationIdentifier object)` Returns the result of interpreting the object as an instance of 'Authorization Identifier'.
`java.lang.Object` `caseBaseTable(BaseTable object)` Returns the result of interpreting the object as an instance of 'Base Table'.
`java.lang.Object` `caseCacheInfo(CacheInfo object)` Returns the result of interpreting the object as an instance of 'Cache Info'.
`java.lang.Object` `caseCatalog(Catalog object)` Returns the result of interpreting the object as an instance of 'Catalog'.
`java.lang.Object` `caseCheckConstraint(CheckConstraint object)` Returns the result of interpreting the object as an instance of 'Check Constraint'.
`java.lang.Object` `caseColumn(Column object)` Returns the result of interpreting the object as an instance of 'Column'.
`java.lang.Object` `caseConstraint(Constraint object)` Returns the result of interpreting the object as an instance of 'Constraint'.
`java.lang.Object` `caseDatabase(Database object)` Returns the result of interpreting the object as an instance of 'Database'.
`java.lang.Object` `caseDataType(DataType object)` Returns the result of interpreting the object as an instance of 'Data Type'.
`java.lang.Object` `caseDerivedTable(DerivedTable object)` Returns the result of interpreting the object as an instance of 'Derived Table'.
`java.lang.Object` `caseDeviceItem(DeviceItem object)` Returns the result of interpreting the object as an instance of 'Device Item'.
`java.lang.Object` `caseDistinctUserDefinedType(DistinctUserDefinedType object)` Returns the result of interpreting the object as an instance of 'Distinct User Defined Type'.
`java.lang.Object` `caseEModelElement(org.eclipse.emf.ecore.EModelElement object)` Returns the result of interpreting the object as an instance of 'EModel Element'.
`java.lang.Object` `caseENamedElement(org.eclipse.emf.ecore.ENamedElement object)` Returns the result of interpreting the object as an instance of 'ENamed Element'.
`java.lang.Object` `caseGroup(Group object)` Returns the result of interpreting the object as an instance of 'Group'.
`java.lang.Object` `caseIndex(Index object)` Returns the result of interpreting the object as an instance of 'Index'.
`java.lang.Object` `caseIndexMember(IndexMember object)` Returns the result of interpreting the object as an instance of 'Index Member'.
`java.lang.Object` `caseLockPromotionInfo(LockPromotionInfo object)` Returns the result of interpreting the object as an instance of 'Lock Promotion Info'.
`java.lang.Object` `casePersistentTable(PersistentTable object)` Returns the result of interpreting the object as an instance of 'Persistent Table'.
`java.lang.Object` `casePredefinedDataType(PredefinedDataType object)` Returns the result of interpreting the object as an instance of 'Predefined Data Type'.
`java.lang.Object` `casePrimaryKey(PrimaryKey object)` Returns the result of interpreting the object as an instance of 'Primary Key'.
`java.lang.Object` `casePrivilege(Privilege object)` Returns the result of interpreting the object as an instance of 'Privilege'.
`java.lang.Object` `caseProcedure(Procedure object)` Returns the result of interpreting the object as an instance of 'Procedure'.
`java.lang.Object` `caseReferenceConstraint(ReferenceConstraint object)` Returns the result of interpreting the object as an instance of 'Reference Constraint'.
`java.lang.Object` `caseRole(Role object)` Returns the result of interpreting the object as an instance of 'Role'.
`java.lang.Object` `caseRoutine(Routine object)` Returns the result of interpreting the object as an instance of 'Routine'.
`java.lang.Object` `caseSchema(Schema object)` Returns the result of interpreting the object as an instance of 'Schema'.
`java.lang.Object` `caseSegmentThreshold(SegmentThreshold object)` Returns the result of interpreting the object as an instance of 'Segment Threshold'.
`java.lang.Object` `caseSQLDataType(SQLDataType object)` Returns the result of interpreting the object as an instance of 'SQL Data Type'.
`java.lang.Object` `caseSQLObject(SQLObject object)` Returns the result of interpreting the object as an instance of 'SQL Object'.
`java.lang.Object` `caseSybaseASEBaseTable(SybaseASEBaseTable object)` Returns the result of interpreting the object as an instance of 'Sybase ASE Base Table'.
`java.lang.Object` `caseSybaseASECache(SybaseASECache object)` Returns the result of interpreting the object as an instance of 'Sybase ASE Cache'.
`java.lang.Object` `caseSybaseASECatalog(SybaseASECatalog object)` Returns the result of interpreting the object as an instance of 'Sybase ASE Catalog'.
`java.lang.Object` `caseSybaseASECheckConstraint(SybaseASECheckConstraint object)` Returns the result of interpreting the object as an instance of 'Sybase ASE Check Constraint'.
`java.lang.Object` `caseSybaseASEColumn(SybaseASEColumn object)` Returns the result of interpreting the object as an instance of 'Sybase ASE Column'.
`java.lang.Object` `caseSybaseASEColumnCheckConstraint(SybaseASEColumnCheckConstraint object)` Returns the result of interpreting the object as an instance of 'Sybase ASE Column Check Constraint'.
`java.lang.Object` `caseSybaseASEDatabase(SybaseASEDatabase object)` Returns the result of interpreting the object as an instance of 'Sybase ASE Database'.
`java.lang.Object` `caseSybaseASEDefault(SybaseASEDefault object)` Returns the result of interpreting the object as an instance of 'Sybase ASE Default'.
`java.lang.Object` `caseSybaseASEEncryptionKey(SybaseASEEncryptionKey object)` Returns the result of interpreting the object as an instance of 'Sybase ASE Encryption Key'.
`java.lang.Object` `caseSybaseASEFuncBasedIndexMember(SybaseASEFuncBasedIndexMember object)` Returns the result of interpreting the object as an instance of 'Sybase ASE Func Based Index Member'.
`java.lang.Object` `caseSybaseASEGroup(SybaseASEGroup object)` Returns the result of interpreting the object as an instance of 'Sybase ASE Group'.
`java.lang.Object` `caseSybaseASEIndex(SybaseASEIndex object)` Returns the result of interpreting the object as an instance of 'Sybase ASE Index'.
`java.lang.Object` `caseSybaseASEPredefinedDataType(SybaseASEPredefinedDataType object)` Returns the result of interpreting the object as an instance of 'Sybase ASE Predefined Data Type'.
`java.lang.Object` `caseSybaseASEPrimaryKey(SybaseASEPrimaryKey object)` Returns the result of interpreting the object as an instance of 'Sybase ASE Primary Key'.
`java.lang.Object` `caseSybaseASEPrivilege(SybaseASEPrivilege object)` Returns the result of interpreting the object as an instance of 'Sybase ASE Privilege'.
`java.lang.Object` `caseSybaseASEProcedure(SybaseASEProcedure object)` Returns the result of interpreting the object as an instance of 'Sybase ASE Procedure'.
`java.lang.Object` `caseSybaseASEProxyTable(SybaseASEProxyTable object)` Returns the result of interpreting the object as an instance of 'Sybase ASE Proxy Table'.
`java.lang.Object` `caseSybaseASERole(SybaseASERole object)` Returns the result of interpreting the object as an instance of 'Sybase ASE Role'.
`java.lang.Object` `caseSybaseASERule(SybaseASERule object)` Returns the result of interpreting the object as an instance of 'Sybase ASE Rule'.
`java.lang.Object` `caseSybaseASESchema(SybaseASESchema object)` Returns the result of interpreting the object as an instance of 'Sybase ASE Schema'.
`java.lang.Object` `caseSybaseASESegment(SybaseASESegment object)` Returns the result of interpreting the object as an instance of 'Sybase ASE Segment'.
`java.lang.Object` `caseSybaseASETable(SybaseASETable object)` Returns the result of interpreting the object as an instance of 'Sybase ASE Table'.
`java.lang.Object` `caseSybaseASETempTable(SybaseASETempTable object)` Returns the result of interpreting the object as an instance of 'Sybase ASE Temp Table'.
`java.lang.Object` `caseSybaseASETrigger(SybaseASETrigger object)` Returns the result of interpreting the object as an instance of 'Sybase ASE Trigger'.
`java.lang.Object` `caseSybaseASEUniqueConstraint(SybaseASEUniqueConstraint object)` Returns the result of interpreting the object as an instance of 'Sybase ASE Unique Constraint'.
`java.lang.Object` `caseSybaseASEUser(SybaseASEUser object)` Returns the result of interpreting the object as an instance of 'Sybase ASE User'.
`java.lang.Object` `caseSybaseASEUserDefinedType(SybaseASEUserDefinedType object)` Returns the result of interpreting the object as an instance of 'Sybase ASE User Defined Type'.
`java.lang.Object` `caseSybaseASEViewTable(SybaseASEViewTable object)` Returns the result of interpreting the object as an instance of 'Sybase ASE View Table'.
`java.lang.Object` `caseSybaseASEWebService(SybaseASEWebService object)` Returns the result of interpreting the object as an instance of 'Sybase ASE Web Service'.
`java.lang.Object` `caseSybaseASEWebServiceTable(SybaseASEWebServiceTable object)` Returns the result of interpreting the object as an instance of 'Sybase ASE Web Service Table'.
`java.lang.Object` `caseSybaseAuthorizationIdentifier(SybaseAuthorizationIdentifier object)` Returns the result of interpreting the object as an instance of 'Sybase Authorization Identifier'.
`java.lang.Object` `caseSybaseAuthorizedObject(SybaseAuthorizedObject object)` Returns the result of interpreting the object as an instance of 'Sybase Authorized Object'.
`java.lang.Object` `caseSybaseBaseTable(SybaseBaseTable object)` Returns the result of interpreting the object as an instance of 'Sybase Base Table'.
`java.lang.Object` `caseSybaseIndexMember(SybaseIndexMember object)` Returns the result of interpreting the object as an instance of 'Sybase Index Member'.
`java.lang.Object` `caseSybasePrivilege(SybasePrivilege object)` Returns the result of interpreting the object as an instance of 'Sybase Privilege'.
`java.lang.Object` `caseSybaseRoutine(SybaseRoutine object)` Returns the result of interpreting the object as an instance of 'Sybase Routine'.
`java.lang.Object` `caseSybaseViewTable(SybaseViewTable object)` Returns the result of interpreting the object as an instance of 'Sybase View Table'.
`java.lang.Object` `caseTable(Table object)` Returns the result of interpreting the object as an instance of 'Table'.
`java.lang.Object` `caseTableConstraint(TableConstraint object)` Returns the result of interpreting the object as an instance of 'Table Constraint'.
`java.lang.Object` `caseTemporaryTable(TemporaryTable object)` Returns the result of interpreting the object as an instance of 'Temporary Table'.
`java.lang.Object` `caseTrigger(Trigger object)` Returns the result of interpreting the object as an instance of 'Trigger'.
`java.lang.Object` `caseTypedElement(TypedElement object)` Returns the result of interpreting the object as an instance of 'Typed Element'.
`java.lang.Object` `caseUniqueConstraint(UniqueConstraint object)` Returns the result of interpreting the object as an instance of 'Unique Constraint'.
`java.lang.Object` `caseUser(User object)` Returns the result of interpreting the object as an instance of 'User'.
`java.lang.Object` `caseUserDefinedType(UserDefinedType object)` Returns the result of interpreting the object as an instance of 'User Defined Type'.
`java.lang.Object` `caseViewTable(ViewTable object)` Returns the result of interpreting the object as an instance of 'View Table'.
`java.lang.Object` `defaultCase(org.eclipse.emf.ecore.EObject object)` Returns the result of interpreting the object as an instance of 'EObject'.
`java.lang.Object` `doSwitch(org.eclipse.emf.ecore.EObject theEObject)` Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SybaseasesqlmodelSwitch

    public SybaseasesqlmodelSwitch()

  Creates an instance of the switch.

Method Detail

### doSwitch

    public java.lang.Object doSwitch(org.eclipse.emf.ecore.EObject theEObject)

  Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

  Returns:
    the first non-null result returned by a `caseXXX` call.

### caseSybaseASESchema

    public java.lang.Object caseSybaseASESchema(SybaseASESchema object)

  Returns the result of interpreting the object as an instance of 'Sybase ASE Schema'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Sybase ASE Schema'.
  See Also:
    `doSwitch(EObject)`

### caseSybaseASEDatabase

    public java.lang.Object caseSybaseASEDatabase(SybaseASEDatabase object)

  Returns the result of interpreting the object as an instance of 'Sybase ASE Database'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Sybase ASE Database'.
  See Also:
    `doSwitch(EObject)`

### caseSybaseASEWebService

    public java.lang.Object caseSybaseASEWebService(SybaseASEWebService object)

  Returns the result of interpreting the object as an instance of 'Sybase ASE Web Service'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Sybase ASE Web Service'.
  See Also:
    `doSwitch(EObject)`

### caseSybaseASEPredefinedDataType

    public java.lang.Object caseSybaseASEPredefinedDataType(SybaseASEPredefinedDataType object)

  Returns the result of interpreting the object as an instance of 'Sybase ASE Predefined Data Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Sybase ASE Predefined Data Type'.
  See Also:
    `doSwitch(EObject)`

### caseSybaseASECatalog

    public java.lang.Object caseSybaseASECatalog(SybaseASECatalog object)

  Returns the result of interpreting the object as an instance of 'Sybase ASE Catalog'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Sybase ASE Catalog'.
  See Also:
    `doSwitch(EObject)`

### caseSybaseASEProcedure

    public java.lang.Object caseSybaseASEProcedure(SybaseASEProcedure object)

  Returns the result of interpreting the object as an instance of 'Sybase ASE Procedure'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Sybase ASE Procedure'.
  See Also:
    `doSwitch(EObject)`

### caseSybaseASEDefault

    public java.lang.Object caseSybaseASEDefault(SybaseASEDefault object)

  Returns the result of interpreting the object as an instance of 'Sybase ASE Default'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Sybase ASE Default'.
  See Also:
    `doSwitch(EObject)`

### caseSybaseASERule

    public java.lang.Object caseSybaseASERule(SybaseASERule object)

  Returns the result of interpreting the object as an instance of 'Sybase ASE Rule'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Sybase ASE Rule'.
  See Also:
    `doSwitch(EObject)`

### caseSybaseASEIndex

    public java.lang.Object caseSybaseASEIndex(SybaseASEIndex object)

  Returns the result of interpreting the object as an instance of 'Sybase ASE Index'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Sybase ASE Index'.
  See Also:
    `doSwitch(EObject)`

### caseSybaseASESegment

    public java.lang.Object caseSybaseASESegment(SybaseASESegment object)

  Returns the result of interpreting the object as an instance of 'Sybase ASE Segment'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Sybase ASE Segment'.
  See Also:
    `doSwitch(EObject)`

### caseSybaseASEFuncBasedIndexMember

    public java.lang.Object caseSybaseASEFuncBasedIndexMember(SybaseASEFuncBasedIndexMember object)

  Returns the result of interpreting the object as an instance of 'Sybase ASE Func Based Index Member'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Sybase ASE Func Based Index Member'.
  See Also:
    `doSwitch(EObject)`

### caseSybaseASETable

    public java.lang.Object caseSybaseASETable(SybaseASETable object)

  Returns the result of interpreting the object as an instance of 'Sybase ASE Table'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Sybase ASE Table'.
  See Also:
    `doSwitch(EObject)`

### caseSybaseASEColumnCheckConstraint

    public java.lang.Object caseSybaseASEColumnCheckConstraint(SybaseASEColumnCheckConstraint object)

  Returns the result of interpreting the object as an instance of 'Sybase ASE Column Check Constraint'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Sybase ASE Column Check Constraint'.
  See Also:
    `doSwitch(EObject)`

### caseSybaseASEColumn

    public java.lang.Object caseSybaseASEColumn(SybaseASEColumn object)

  Returns the result of interpreting the object as an instance of 'Sybase ASE Column'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Sybase ASE Column'.
  See Also:
    `doSwitch(EObject)`

### caseSybaseASEUniqueConstraint

    public java.lang.Object caseSybaseASEUniqueConstraint(SybaseASEUniqueConstraint object)

  Returns the result of interpreting the object as an instance of 'Sybase ASE Unique Constraint'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Sybase ASE Unique Constraint'.
  See Also:
    `doSwitch(EObject)`

### caseSybaseASEPrimaryKey

    public java.lang.Object caseSybaseASEPrimaryKey(SybaseASEPrimaryKey object)

  Returns the result of interpreting the object as an instance of 'Sybase ASE Primary Key'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Sybase ASE Primary Key'.
  See Also:
    `doSwitch(EObject)`

### caseDeviceItem

    public java.lang.Object caseDeviceItem(DeviceItem object)

  Returns the result of interpreting the object as an instance of 'Device Item'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Device Item'.
  See Also:
    `doSwitch(EObject)`

### caseSegmentThreshold

    public java.lang.Object caseSegmentThreshold(SegmentThreshold object)

  Returns the result of interpreting the object as an instance of 'Segment Threshold'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Segment Threshold'.
  See Also:
    `doSwitch(EObject)`

### caseCacheInfo

    public java.lang.Object caseCacheInfo(CacheInfo object)

  Returns the result of interpreting the object as an instance of 'Cache Info'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Cache Info'.
  See Also:
    `doSwitch(EObject)`

### caseSybaseASEUserDefinedType

    public java.lang.Object caseSybaseASEUserDefinedType(SybaseASEUserDefinedType object)

  Returns the result of interpreting the object as an instance of 'Sybase ASE User Defined Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Sybase ASE User Defined Type'.
  See Also:
    `doSwitch(EObject)`

### caseSybaseASEEncryptionKey

    public java.lang.Object caseSybaseASEEncryptionKey(SybaseASEEncryptionKey object)

  Returns the result of interpreting the object as an instance of 'Sybase ASE Encryption Key'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Sybase ASE Encryption Key'.
  See Also:
    `doSwitch(EObject)`

### caseLockPromotionInfo

    public java.lang.Object caseLockPromotionInfo(LockPromotionInfo object)

  Returns the result of interpreting the object as an instance of 'Lock Promotion Info'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Lock Promotion Info'.
  See Also:
    `doSwitch(EObject)`

### caseSybaseASERole

    public java.lang.Object caseSybaseASERole(SybaseASERole object)

  Returns the result of interpreting the object as an instance of 'Sybase ASE Role'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Sybase ASE Role'.
  See Also:
    `doSwitch(EObject)`

### caseSybaseASECache

    public java.lang.Object caseSybaseASECache(SybaseASECache object)

  Returns the result of interpreting the object as an instance of 'Sybase ASE Cache'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Sybase ASE Cache'.
  See Also:
    `doSwitch(EObject)`

### caseSybaseASEViewTable

    public java.lang.Object caseSybaseASEViewTable(SybaseASEViewTable object)

  Returns the result of interpreting the object as an instance of 'Sybase ASE View Table'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Sybase ASE View Table'.
  See Also:
    `doSwitch(EObject)`

### caseSybaseASETempTable

    public java.lang.Object caseSybaseASETempTable(SybaseASETempTable object)

  Returns the result of interpreting the object as an instance of 'Sybase ASE Temp Table'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Sybase ASE Temp Table'.
  See Also:
    `doSwitch(EObject)`

### caseSybaseASEProxyTable

    public java.lang.Object caseSybaseASEProxyTable(SybaseASEProxyTable object)

  Returns the result of interpreting the object as an instance of 'Sybase ASE Proxy Table'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Sybase ASE Proxy Table'.
  See Also:
    `doSwitch(EObject)`

### caseSybaseASEWebServiceTable

    public java.lang.Object caseSybaseASEWebServiceTable(SybaseASEWebServiceTable object)

  Returns the result of interpreting the object as an instance of 'Sybase ASE Web Service Table'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Sybase ASE Web Service Table'.
  See Also:
    `doSwitch(EObject)`

### caseSybaseASEBaseTable

    public java.lang.Object caseSybaseASEBaseTable(SybaseASEBaseTable object)

  Returns the result of interpreting the object as an instance of 'Sybase ASE Base Table'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Sybase ASE Base Table'.
  See Also:
    `doSwitch(EObject)`

### caseSybaseASEUser

    public java.lang.Object caseSybaseASEUser(SybaseASEUser object)

  Returns the result of interpreting the object as an instance of 'Sybase ASE User'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Sybase ASE User'.
  See Also:
    `doSwitch(EObject)`

### caseSybaseASEGroup

    public java.lang.Object caseSybaseASEGroup(SybaseASEGroup object)

  Returns the result of interpreting the object as an instance of 'Sybase ASE Group'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Sybase ASE Group'.
  See Also:
    `doSwitch(EObject)`

### caseSybaseASEPrivilege

    public java.lang.Object caseSybaseASEPrivilege(SybaseASEPrivilege object)

  Returns the result of interpreting the object as an instance of 'Sybase ASE Privilege'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Sybase ASE Privilege'.
  See Also:
    `doSwitch(EObject)`

### caseSybaseASETrigger

    public java.lang.Object caseSybaseASETrigger(SybaseASETrigger object)

  Returns the result of interpreting the object as an instance of 'Sybase ASE Trigger'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Sybase ASE Trigger'.
  See Also:
    `doSwitch(EObject)`

### caseSybaseASECheckConstraint

    public java.lang.Object caseSybaseASECheckConstraint(SybaseASECheckConstraint object)

  Returns the result of interpreting the object as an instance of 'Sybase ASE Check Constraint'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Sybase ASE Check Constraint'.
  See Also:
    `doSwitch(EObject)`

### caseEModelElement

    public java.lang.Object caseEModelElement(org.eclipse.emf.ecore.EModelElement object)

  Returns the result of interpreting the object as an instance of 'EModel Element'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'EModel Element'.
  See Also:
    `doSwitch(EObject)`

### caseENamedElement

    public java.lang.Object caseENamedElement(org.eclipse.emf.ecore.ENamedElement object)

  Returns the result of interpreting the object as an instance of 'ENamed Element'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'ENamed Element'.
  See Also:
    `doSwitch(EObject)`

### caseSQLObject

    public java.lang.Object caseSQLObject(SQLObject object)

  Returns the result of interpreting the object as an instance of 'SQL Object'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'SQL Object'.
  See Also:
    `doSwitch(EObject)`

### caseSchema

    public java.lang.Object caseSchema(Schema object)

  Returns the result of interpreting the object as an instance of 'Schema'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Schema'.
  See Also:
    `doSwitch(EObject)`

### caseDatabase

    public java.lang.Object caseDatabase(Database object)

  Returns the result of interpreting the object as an instance of 'Database'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Database'.
  See Also:
    `doSwitch(EObject)`

### caseDataType

    public java.lang.Object caseDataType(DataType object)

  Returns the result of interpreting the object as an instance of 'Data Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Data Type'.
  See Also:
    `doSwitch(EObject)`

### caseSQLDataType

    public java.lang.Object caseSQLDataType(SQLDataType object)

  Returns the result of interpreting the object as an instance of 'SQL Data Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'SQL Data Type'.
  See Also:
    `doSwitch(EObject)`

### casePredefinedDataType

    public java.lang.Object casePredefinedDataType(PredefinedDataType object)

  Returns the result of interpreting the object as an instance of 'Predefined Data Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Predefined Data Type'.
  See Also:
    `doSwitch(EObject)`

### caseCatalog

    public java.lang.Object caseCatalog(Catalog object)

  Returns the result of interpreting the object as an instance of 'Catalog'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Catalog'.
  See Also:
    `doSwitch(EObject)`

### caseRoutine

    public java.lang.Object caseRoutine(Routine object)

  Returns the result of interpreting the object as an instance of 'Routine'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Routine'.
  See Also:
    `doSwitch(EObject)`

### caseProcedure

    public java.lang.Object caseProcedure(Procedure object)

  Returns the result of interpreting the object as an instance of 'Procedure'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Procedure'.
  See Also:
    `doSwitch(EObject)`

### caseSybaseAuthorizedObject

    public java.lang.Object caseSybaseAuthorizedObject(SybaseAuthorizedObject object)

  Returns the result of interpreting the object as an instance of 'Sybase Authorized Object'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Sybase Authorized Object'.
  See Also:
    `doSwitch(EObject)`

### caseSybaseRoutine

    public java.lang.Object caseSybaseRoutine(SybaseRoutine object)

  Returns the result of interpreting the object as an instance of 'Sybase Routine'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Sybase Routine'.
  See Also:
    `doSwitch(EObject)`

### caseIndex

    public java.lang.Object caseIndex(Index object)

  Returns the result of interpreting the object as an instance of 'Index'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Index'.
  See Also:
    `doSwitch(EObject)`

### caseIndexMember

    public java.lang.Object caseIndexMember(IndexMember object)

  Returns the result of interpreting the object as an instance of 'Index Member'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Index Member'.
  See Also:
    `doSwitch(EObject)`

### caseSybaseIndexMember

    public java.lang.Object caseSybaseIndexMember(SybaseIndexMember object)

  Returns the result of interpreting the object as an instance of 'Sybase Index Member'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Sybase Index Member'.
  See Also:
    `doSwitch(EObject)`

### caseTable

    public java.lang.Object caseTable(Table object)

  Returns the result of interpreting the object as an instance of 'Table'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Table'.
  See Also:
    `doSwitch(EObject)`

### caseBaseTable

    public java.lang.Object caseBaseTable(BaseTable object)

  Returns the result of interpreting the object as an instance of 'Base Table'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Base Table'.
  See Also:
    `doSwitch(EObject)`

### casePersistentTable

    public java.lang.Object casePersistentTable(PersistentTable object)

  Returns the result of interpreting the object as an instance of 'Persistent Table'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Persistent Table'.
  See Also:
    `doSwitch(EObject)`

### caseSybaseBaseTable

    public java.lang.Object caseSybaseBaseTable(SybaseBaseTable object)

  Returns the result of interpreting the object as an instance of 'Sybase Base Table'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Sybase Base Table'.
  See Also:
    `doSwitch(EObject)`

### caseConstraint

    public java.lang.Object caseConstraint(Constraint object)

  Returns the result of interpreting the object as an instance of 'Constraint'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Constraint'.
  See Also:
    `doSwitch(EObject)`

### caseTableConstraint

    public java.lang.Object caseTableConstraint(TableConstraint object)

  Returns the result of interpreting the object as an instance of 'Table Constraint'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Table Constraint'.
  See Also:
    `doSwitch(EObject)`

### caseCheckConstraint

    public java.lang.Object caseCheckConstraint(CheckConstraint object)

  Returns the result of interpreting the object as an instance of 'Check Constraint'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Check Constraint'.
  See Also:
    `doSwitch(EObject)`

### caseTypedElement

    public java.lang.Object caseTypedElement(TypedElement object)

  Returns the result of interpreting the object as an instance of 'Typed Element'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Typed Element'.
  See Also:
    `doSwitch(EObject)`

### caseColumn

    public java.lang.Object caseColumn(Column object)

  Returns the result of interpreting the object as an instance of 'Column'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Column'.
  See Also:
    `doSwitch(EObject)`

### caseReferenceConstraint

    public java.lang.Object caseReferenceConstraint(ReferenceConstraint object)

  Returns the result of interpreting the object as an instance of 'Reference Constraint'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Reference Constraint'.
  See Also:
    `doSwitch(EObject)`

### caseUniqueConstraint

    public java.lang.Object caseUniqueConstraint(UniqueConstraint object)

  Returns the result of interpreting the object as an instance of 'Unique Constraint'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Unique Constraint'.
  See Also:
    `doSwitch(EObject)`

### casePrimaryKey

    public java.lang.Object casePrimaryKey(PrimaryKey object)

  Returns the result of interpreting the object as an instance of 'Primary Key'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Primary Key'.
  See Also:
    `doSwitch(EObject)`

### caseUserDefinedType

    public java.lang.Object caseUserDefinedType(UserDefinedType object)

  Returns the result of interpreting the object as an instance of 'User Defined Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'User Defined Type'.
  See Also:
    `doSwitch(EObject)`

### caseDistinctUserDefinedType

    public java.lang.Object caseDistinctUserDefinedType(DistinctUserDefinedType object)

  Returns the result of interpreting the object as an instance of 'Distinct User Defined Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Distinct User Defined Type'.
  See Also:
    `doSwitch(EObject)`

### caseAuthorizationIdentifier

    public java.lang.Object caseAuthorizationIdentifier(AuthorizationIdentifier object)

  Returns the result of interpreting the object as an instance of 'Authorization Identifier'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Authorization Identifier'.
  See Also:
    `doSwitch(EObject)`

### caseRole

    public java.lang.Object caseRole(Role object)

  Returns the result of interpreting the object as an instance of 'Role'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Role'.
  See Also:
    `doSwitch(EObject)`

### caseSybaseAuthorizationIdentifier

    public java.lang.Object caseSybaseAuthorizationIdentifier(SybaseAuthorizationIdentifier object)

  Returns the result of interpreting the object as an instance of 'Sybase Authorization Identifier'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Sybase Authorization Identifier'.
  See Also:
    `doSwitch(EObject)`

### caseDerivedTable

    public java.lang.Object caseDerivedTable(DerivedTable object)

  Returns the result of interpreting the object as an instance of 'Derived Table'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Derived Table'.
  See Also:
    `doSwitch(EObject)`

### caseViewTable

    public java.lang.Object caseViewTable(ViewTable object)

  Returns the result of interpreting the object as an instance of 'View Table'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'View Table'.
  See Also:
    `doSwitch(EObject)`

### caseSybaseViewTable

    public java.lang.Object caseSybaseViewTable(SybaseViewTable object)

  Returns the result of interpreting the object as an instance of 'Sybase View Table'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Sybase View Table'.
  See Also:
    `doSwitch(EObject)`

### caseTemporaryTable

    public java.lang.Object caseTemporaryTable(TemporaryTable object)

  Returns the result of interpreting the object as an instance of 'Temporary Table'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Temporary Table'.
  See Also:
    `doSwitch(EObject)`

### caseUser

    public java.lang.Object caseUser(User object)

  Returns the result of interpreting the object as an instance of 'User'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'User'.
  See Also:
    `doSwitch(EObject)`

### caseGroup

    public java.lang.Object caseGroup(Group object)

  Returns the result of interpreting the object as an instance of 'Group'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Group'.
  See Also:
    `doSwitch(EObject)`

### casePrivilege

    public java.lang.Object casePrivilege(Privilege object)

  Returns the result of interpreting the object as an instance of 'Privilege'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Privilege'.
  See Also:
    `doSwitch(EObject)`

### caseSybasePrivilege

    public java.lang.Object caseSybasePrivilege(SybasePrivilege object)

  Returns the result of interpreting the object as an instance of 'Sybase Privilege'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Sybase Privilege'.
  See Also:
    `doSwitch(EObject)`

### caseTrigger

    public java.lang.Object caseTrigger(Trigger object)

  Returns the result of interpreting the object as an instance of 'Trigger'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Trigger'.
  See Also:
    `doSwitch(EObject)`

### defaultCase

    public java.lang.Object defaultCase(org.eclipse.emf.ecore.EObject object)

  Returns the result of interpreting the object as an instance of 'EObject'. This implementation returns null; returning a non-null result will terminate the switch, but this is the last case anyway.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'EObject'.
  See Also:
    `doSwitch(org.eclipse.emf.ecore.EObject)`